Package com.oracle.nosql.spring.data.core.mapping

# Enum Class NosqlPersistentProperty.TypeCode

java.lang.Object
java.lang.Enum<NosqlPersistentProperty.TypeCode>
com.oracle.nosql.spring.data.core.mapping.NosqlPersistentProperty.TypeCode

All Implemented Interfaces:
  `Serializable`, `Comparable<NosqlPersistentProperty.TypeCode>`, `Constable`

Enclosing interface:
  `NosqlPersistentProperty`

public static enum NosqlPersistentProperty.TypeCode extends Enum<NosqlPersistentProperty.TypeCode>
To optimize class info for different properties make use of the typecode.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ARRAY`
  `BIGDECIMAL`
  `BIGINTEGER`
  `BOOLEAN`
  `BYTEARRAY`
  `COLLECTION`
  `DATE`
  `DOUBLE`
  `ENUM`
  `FIELD_VALUE`
  `FLOAT`
  `GEO_JSON_POINT`
  `GEO_JSON_POLYGON`
  `INSTANT`
  `INT`
  `LONG`
  `MAP`
  `OBJECT`
  `POJO`
  `STRING`
  `TIMESTAMP`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isAtomic()`
  `static NosqlPersistentProperty.TypeCode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static NosqlPersistentProperty.TypeCode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OBJECT

    public static final NosqlPersistentProperty.TypeCode OBJECT

  - ### STRING

    public static final NosqlPersistentProperty.TypeCode STRING

  - ### INT

    public static final NosqlPersistentProperty.TypeCode INT

  - ### LONG

    public static final NosqlPersistentProperty.TypeCode LONG

  - ### FLOAT

    public static final NosqlPersistentProperty.TypeCode FLOAT

  - ### DOUBLE

    public static final NosqlPersistentProperty.TypeCode DOUBLE

  - ### BIGINTEGER

    public static final NosqlPersistentProperty.TypeCode BIGINTEGER

  - ### BIGDECIMAL

    public static final NosqlPersistentProperty.TypeCode BIGDECIMAL

  - ### BOOLEAN

    public static final NosqlPersistentProperty.TypeCode BOOLEAN

  - ### BYTEARRAY

    public static final NosqlPersistentProperty.TypeCode BYTEARRAY

  - ### DATE

    public static final NosqlPersistentProperty.TypeCode DATE

  - ### TIMESTAMP

    public static final NosqlPersistentProperty.TypeCode TIMESTAMP

  - ### INSTANT

    public static final NosqlPersistentProperty.TypeCode INSTANT

  - ### GEO_JSON_POINT

    public static final NosqlPersistentProperty.TypeCode GEO_JSON_POINT

  - ### GEO_JSON_POLYGON

    public static final NosqlPersistentProperty.TypeCode GEO_JSON_POLYGON

  - ### FIELD_VALUE

    public static final NosqlPersistentProperty.TypeCode FIELD_VALUE

  - ### ENUM

    public static final NosqlPersistentProperty.TypeCode ENUM

  - ### MAP

    public static final NosqlPersistentProperty.TypeCode MAP

  - ### ARRAY

    public static final NosqlPersistentProperty.TypeCode ARRAY

  - ### COLLECTION

    public static final NosqlPersistentProperty.TypeCode COLLECTION

  - ### POJO

    public static final NosqlPersistentProperty.TypeCode POJO

- ## Method Details

  - ### values

    public static NosqlPersistentProperty.TypeCode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static NosqlPersistentProperty.TypeCode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isAtomic

    public boolean isAtomic()